# Stichprobenumfang als Fkt. des relativen Messfehlers (grafisch)
plot(x=NULL,y=NULL,axes=F,xlim=c(0.25,1.50),ylim=c(0,50),
xlab=expression(paste(Delta,mu) / sigma),ylab="n")
ticks1 <- seq(0.25,1.50,by=0.25)
ticks2 <- seq(0,50,by=5)
title(main="Stichprobenumfang versus Fehlerbalken")
axis(side=1,at=ticks1)
axis(side=2,at=ticks2)
abline(v=ticks1,lwd=1,lty=3)
abline(h=ticks2,lwd=1,lty=3)
A <- c(0.01,0.05,0.10)
LTY <- c(1,1,1,5)
LWD <- c(2,3,4,1)
legend(x="topright",lwd=LWD,lty=LTY,
legend=c(paste("alpha=",A),"Gauss-Approximation") )
for (j in 1:3)
{N <- seq(3,50,by=1)
X1 <- sapply(N,function(n){qt(1-A[j]/2,n-1)/sqrt(n)})
X2 <- sapply(N,function(n){qnorm(1-A[j]/2)/sqrt(n)})
lines(X1,N,type="l",lwd=LWD[j],lty=LTY[j])
lines(X2,N,type="l",lwd=LWD[4],lty=LTY[4])
}
box()
