# Stichprobenumfang als Fkt. der relativen Sigma-Obergrenze (grafisch)
#1. Grafik
plot(x=NULL,y=NULL,axes=F,xlim=c(1.0,4.0),ylim=c(0,100),
xlab="Relative Obergrenze der Varianz",ylab="n")
ticks1 <- seq(1,4,by=0.5)
ticks2 <- seq(0,100,by=20)
title(main="Fig1: Stichprobenumfang vs. Relative Obergrenze")
axis(side=1,at=ticks1)
axis(side=2,at=ticks2)
abline(v=ticks1,lwd=1,lty=8)
abline(h=ticks2,lwd=1,lty=8)
A <- c(0.01,0.05,0.10)
LTY <- c(1,1,1,5)
LWD <- c(2,3,4,1)
legend(x="topright",lwd=LWD,lty=LTY,
legend=c(paste("alpha=",A),"Gauss-Approximation") )
for (j in 1:3)
{Y <- seq(5,100,by=1)
X1 <- sapply(Y,function(n){(n-1)/qchisq(A[j],n-1)})
X2 <- sapply(Y,function(n){1/(1+qnorm(A[j])*sqrt(2/(n-1)))})
lines(X1,Y,type="l",lwd=LWD[j],lty=LTY[j])
lines(X2,Y,type="l",lwd=LWD[4],lty=LTY[4])
}
box()
