# Anwendung der Adhoc-Theorie auf das Forellenbeispiel
#1. Parameter des Forellenbeispiels
Kurve=c("Mitte","Links")
mu=c(255,252)
alpha=0.05
n=16
delta=(mu-260)/8
lambda=sqrt(n)*delta
#2. sigma bekannt, elementare R-Loesung
power=pnorm(qnorm(alpha,0,1),lambda,1)
power=round(power,dig=4)
beta=1-power
(Box2=data.frame(Kurve,power,beta))
#2a. Vergleich mit ... (richtig!)
(beta2=pnorm(lambda-qnorm(alpha)))
#3. sigma bekannt, pwr-Loesung
library(pwr)
power=round(pwr.norm.test(n=n,d=-delta,sig=alpha,
alternative="greater")$power,dig=4)
beta=1-power
(Box3=data.frame(Kurve,power,beta))
#4. sigma bekannt, alternative pwr-Loesung
power=round(pwr.norm.test(n=n,d=delta,sig.level=alpha,
alternative="less")$power,dig=4)
beta=1-power
(Box4=data.frame(Kurve,power,beta))
#5. sigma unbekannt, elementare R-Loesung
power=round(pt(qt(alpha,n-1),n-1,lambda),dig=4)
beta=1-power
(Box5=data.frame(Kurve,power,beta))
#5a.  Vergleich mit ... (falsch!)
(beta5=pt(lambda-qt(alpha,n-1),n-1))
#6. sigma unbekannt, pwr-Loesung
power=round(pwr.t.test(n=n,d=-delta,sig.level=alpha,
type="one.sample",alternative="greater")$power,dig=4)
beta=1-power
(Box6=data.frame(Kurve,power,beta))
#7. sigma unbekannt, alternative pwr-Loesung
power=round(pwr.t.test(n=n,d=delta,sig.level=alpha,
type="one.sample",alternative="less")$power,dig=4)
beta=1-power
(Box7=data.frame(Kurve,power,beta))
