# Bsp. "Sojabohnen" 
#1. Datenerfassung und linearer Fit
x = c(0.02,0.07,0.11,0.15)
y = c( 242, 237, 231, 201)
Box1 = data.frame(y,x)
#2. Regression
Fit = lm(y~x)
(Box3 = summary(Fit))
#3. Mittelwerte
(Box4 = colMeans(Box1))
#4. Konfidenz- und Prognose-Intervalle
Box5 = data.frame(x=seq(min(x), max(x), 0.01))
Box6 = predict(Fit,interval="confidence",newdata=Box5)
Box7 = predict(Fit,interval="prediction",newdata=Box5)
#5. Elemente der Grafik-Beschriftung
(FitCoef = coef(Fit))
(Fitb = round(coef(Fit)[1],0))
(Fitm = round(coef(Fit)[2],0))
(Box3R2 = round(Box3$r.squared,2))
#6. Grafik
plot(y~x,data=Box1,
xlim=c(0.02,0.15),ylim=c(180,270),
xlab="Ozon [ppm]", ylab="Ausbeute [g/Pflanze]")
abline(Fit,lty="dashed",col="red")
text(0.04,220,bquote(R^2==.(Box3R2)))
text(0.04,230,paste0("y =",Fitb," ",Fitm,"x"))
matlines(Box5$x,Box6[,c("lwr","upr")],
col=4,lty=1,type="b",pch="+")
matlines(Box5$x,Box7[,c("lwr","upr")],
col=4,lty=2,type="b",pch=1)

