# Bsp. "`Forbes"' (Linearisierung, Ausreisser)
# Celsius = round((Siedp-32)*5/9,3)
#1. Datenerfassung und log. Transformation
Siedp=c(194.5,194.3,197.9,198.4,199.4,199.9,200.9,201.1,
201.4,201.3,203.6,204.6,209.5,208.6,210.7,211.9,212.2)
Druck=c(20.79,20.79,22.40,22.67,23.15,23.35,23.89,23.99,
24.02,24.01,25.14,26.57,28.49,27.76,29.04,29.88,30.06)
LogDr=log10(Druck)
Box1 = data.frame(Siedp,Druck,LogDr)
#2. Regression Druck
Fit1=lm(Druck~Siedp,data=Box1)
(Box2 = summary(Fit1))
#3. Regression LogDr
Fit2=lm(LogDr~Siedp,data=Box1)
(Box3 = summary(Fit2))
#4. Erweiterte Tabelle Box4 mit Residuen
Resid = round(residuals(Fit2),3)
LogDr = round(LogDr,3)
Box4 = data.frame(Siedp,Druck,LogDr,Resid)
#6. Scatterplots fuer Druck und LogDr
plot(Siedp~Druck,data=Box1,pch=19)
abline(Fit1,lty="dashed",col="black")
plot(Siedp~LogDr,data=Box1,pch=19)
abline(Fit2,lty="dashed",col="black")
#7. Residuenanalysen Druck~Siedp und LogDr~Siedp
par(mfrow=c(2,2))
plot(Fit1)
par(mfrow=c(2,2))
plot(Fit2)
