# Weibull-Verteilung fuer Reinigungsprozess
#1.Datenerfassung: t=Reinigungszeit, s=Reinigungsgrad
t=c(10,20,30,40,50,60)
s=c(30.0,68.2,84.8,96.1,97.9,99.5)
#2. Transformation
x = log(t)
y = log(log(1/(1-s/100)))
(Box1 = data.frame(t,s,x,y))
#3. Regression
Fit = lm(y ~ x, data=Box1)
(Box3 = summary(Fit))
#4. Folgerung
a = coef(Fit)[1]
k = coef(Fit)[2]
T = exp(-(a/k))
Parameter = c("Achsenabschnitt a =","Lebensdauer T =","Steilheit k =")
Wert = round(c(a,T,k),dig=3)
(Box4 = data.frame(Parameter,Wert))
