# Bsp. "Stellen-Zugfestigkeit"
#1. Dateneingabe
Stelle = factor(c(rep("Ecke",t=4), rep("Mitte",t=4), rep("Kante",t=4) ))
Zugfest = c(137,142,128,137, 140,139,117,137, 142,140,133,141)
Box1 = data.frame(Stelle,Zugfest)
#2. Datenvisualisierung
plot(Box1)
#3. Varianzanalyse mit aov
Fit1=aov(Zugfest~Stelle,data=Box1)
summary(Fit1)
#4. Diagnoseplots
par(mfrow=c(2,2))
plot(Fit1)
par(mfrow=c(1,1))
#5. Multiple Mittelwertvergleiche nach TukeyHSD
TukeyHSD(Fit1)
#6. Varianzanalyse mit lm und anova
Fit2=lm(Zugfest~Stelle,data=Box1)
anova(Fit2)
#7. Multiple Mittelwertvergleiche mit emmeans
# (TukeyHSD funktioniert mit anova nicht)
library(emmeans)
tukey.comp <- emmeans(Fit2,pairwise ~ Stelle)
summary(tukey.comp)
confint(tukey.comp)