# Beispiel Strom-Glas-Phosphor, aus der Materialtechnik
#1. Dateneingabe
Strom = c(285,302,282,290,235,245,225,300,240,260,255,295)
Glas = gl(3,4,label=c("I","II","III"))
Phosphor = rep(gl(4,1,label=c("A","B","C","D")),3)
Box1 = data.frame(Glas,Phosphor,Strom)
#2. Datenvisualisierung
par(mfrow=c(1,2))
plot(Strom ~ Glas+Phosphor,data=Box1)
par(mfrow=c(1,1))
#3. Varianzanalyse mit aov
Fit1 = aov(Strom ~ Glas + Phosphor, data=Box1)
(Box2 = summary(Fit1))
#4. Diagnoseplots
par(mfrow=c(2,2))
plot(Fit1)
par(mfrow=c(1,1))
#5. Multiple Mittelwertvergleiche für den Faktor Glas
Fit2 = lm(Strom ~ Glas + Phosphor, data=Box1)
library(emmeans)
tukey.comp <- emmeans(Fit2,pairwise ~ Glas)
summary(tukey.comp)
#6. Varianzanalyse mit anova für die Interaktion: geht nicht!
Fit3 = lm(Strom ~ Glas*Phosphor, data=Box1)
(Box4 = anova(Fit3))
