# Bsp. Preise-Werbungen-Absatz
#1. Datenerfassung
Menge = c(68,65,63,59,67,64,66,59,64,63,
59,57,54,56,53,51,52,55,54,52,
59,50,51,48,53,49,50,52,53,50,
51,45,46,48,49,50,47,46,45,47,
40,39,35,36,37,35,34,38,39,36,
47,39,40,46,45,49,44,48,47,44)
Preis = gl(3,20,label=c("A","B","C"))
Werbung = rep(gl(2,10,label=c("I","II")),3)
Box1 = data.frame(Menge,Preis,Werbung)
#2. Kompakter Kontrollausdruck
Box2 = Box1
names(Box2)=c("ME","PR","WE")
#3. Datenvisualisierung
par(mfrow=c(1,3))
boxplot(Menge ~ Preis+Werbung,data=Box1)
plot(Menge ~ Preis+Werbung,data=Box1)
par(mfrow=c(1,1))
#4. Varianzanalyse mit anova und lm
Fit1=lm(Menge~Preis*Werbung,data=Box1)
anova(Fit1)
#5. Modelloutput
summary(Fit1)
#6. Wechselwirkungsplots
interaction.plot(Box1$Werbung,Box1$Preis,Box1$Menge,lwd=4)
interaction.plot(Box1$Preis,Box1$Werbung,Box1$Menge,lwd=4)
#7. Diagnoseplot
par(mfrow=c(2,2))
plot(Fit1)
par(mfrow=c(1,1))
#8. Multiple (bedingte) Mittelwertvergleiche - mit Paket emmeans
library(emmeans)
emmeans(Fit1,pairwise ~ Preis|Werbung)$contrasts
#9. Wechselwirkungsplots - mit Paket emmeans. Nicht im Skript.
emmip(object=Fit1,formula= Preis~Werbung,ylab="Menge",data=Box1)
emmip(object=Fit1,formula=Werbung~Preis,ylab="Menge",data=Box1)

