# Bsp. "Fahrstrecke", Einfache Kovarianzanalyse
# http://stats.stackexchange.com/questions/51780/how-to-perform-an-ancova-in-r
#1. Daten, eine Untermenge der Builtin-Datei mtcars
input <- mtcars[,c("am","mpg","hp")]
head(input)
#2. Modell mit Wechselwirkung
result1 <- aov(mpg~hp*am,data=mtcars)
summary(result1)
#3. Modell ohne Wechselwirkung
result2 <- aov(mpg~hp+am,data=mtcars)
summary(result2)
#4. Vergleich beider Modelle
anova(result1,result2)
