# Bsp. "Truthahngewicht"
#1. Daten und 2 Grafiken
Gewicht = c(11.5,14.6,15.4,13.1,13.8,13.6,14.3, 9.9,16.1,11.4,13.7)
Alter  = c( 21, 27, 29, 23, 25, 24, 28, 20, 32, 22, 26)
Region = c(rep("Region1",6),rep("Region2",5))
Farbe = c(rep("green",6),rep("red",5))
Symbol = c(rep(19,6),rep(17,5))
TRUTHAHN = data.frame(Gewicht,Alter,Region,Farbe)
plot(Gewicht~Alter,col=Farbe,cex=2,pch=Symbol)
boxplot(Gewicht ~ Region)
stripchart(Gewicht ~ Region,vertical=TRUE,add=TRUE)
text(x=1.5, y=Gewicht[1:6], labels = Alter[1:6], col = 1)
text(x=2.5, y=Gewicht[7:11], labels = Alter[7:11], col = 1)
#2. Anova: Gewicht in Abhängigkeit vom Alter (Region wird nicht berücksichtigt)
fit1 <- lm(Gewicht ~ Alter)
anova(fit1)
#3. Anova: Gewicht in Abhängigkeit von der Region (Alter der Tiere wird nicht berücksichtigt):
fit2 <- lm(Gewicht ~ Region)
anova(fit2)
#4. Anova: Gewicht in Abhängigkeit vom Alter und Region
fit3 <- lm(Gewicht ~ Alter + Region)
summary(fit3)
#5. Graphische Darstellung
par(mfrow=c(1,2))
fit3a <- lm(Gewicht ~ Alter, subset = Region == "Region1")
fit3b <- lm(Gewicht ~ Alter, subset = Region == "Region2")
plot(Gewicht ~ Alter, type = "p", col = Farbe)
abline(coef(fit3a),col="green")
abline(coef(fit3b),col="red")
plot(Gewicht ~ Alter, type = "p", col = Farbe)
abline(coef(fit3)[1:2])
abline(c(sum(coef(fit3)[c(1,3)]),coef(fit3)[2]),col = 2)
par(mfrow=c(1,1))
#6. Anova: Gibt es regional unterschiedliche Wachstumskurven? Einbeziehung der Wechselwirkung
fit4 <- lm(Gewicht ~ Alter * Region)
anova(fit4)
#6. Modellwahl per anova
anova(fit1, fit2,fit3,fit4)
#7. Modellwahl per AIC
AIC(fit1, fit2, fit3, fit4)
step(fit1, scope = list(lower = Gewicht ~ 1,
                        upper = Gewicht ~ Alter * Region))
