# Bsp. "Lignit-Konversion" (2**4-Studie)
#1. Vollfaktorieller Versuchsplan
library(FrF2)
Design = FrF2(16,4,randomize=FALSE,
factor.names=list(T=c(380,460),COH=c("1/4","3/4"),MPa=c(7.1,11.1),t=c(10,50)))
#2. Datenerfassung
y = c(53.3,78,62.4,78.9,75.9,75.4,71.3,84.4,64.5,67.5,72.8,85.3,71.4,83.3,82.9,81.7)
Box1 = data.frame(Design,y)
#3. Regression mit vollem Modell
Fit.full = lm(y ~ (.)^4, data = Box1)
(Box2 = summary(Fit.full))
#4. Regression mit Haupteffekten und Zweifachwechselwirkungen
Fit = lm(y ~ (.)^2, data = Box1)
(Box3 = summary(Fit))
#5. Plot der Haupteffekte
MEPlot(Fit)
#6. Plot der 2-fach Wechselwirkungen
IAPlot(Fit)
#7. Normalplot (DanielPlot)
DanielPlot(Fit.full,code=TRUE,alpha=0.05)
#8. Halbnormalplot
DanielPlot(Fit.full,code=TRUE,alpha=0.5,half=TRUE)
