# Bsp. "Prozessentwicklung" (2**4-Studie)
#1. Versuchsplanung
library(FrF2)
Design=FrF2(nfactors=4,nruns=16,randomize=FALSE,factor.names=list(K="",T="",P="",C=""))
#2. Datenerfassung
y = c(71,61,90,82,68,61,87,80,61,50,89,83,59,51,85,78)
Box1 = data.frame(Design,y)
#3. Regression mit allen 16 Effekten, keine Versuchswiederholungen
Fit4 = lm(y ~ (.)^4, data = Box1)
(summary(Fit4))
#4. main effects plots und interaction plots
MEPlot(Fit4)
IAPlot(Fit4)
#5. Half Normal Plots fuer alpha=0.05 (default), 0.1 und 0.5
DanielPlot(Fit4,code=FALSE,half=TRUE)
DanielPlot(Fit4,code=FALSE,alpha=0.1,half=TRUE)
DanielPlot(Fit4,code=FALSE,alpha=0.5,half=TRUE)
#6. Regression mit Effekten bis zu 3f WW
Fit3 = lm(y ~ (.)^3, data = Box1)
(summary(Fit3))
#7. Regression mit Effekten bis zu 2f WW
Fit2 = lm(y ~ (.)^2, data = Box1)
(summary(Fit2))
#8. Regression mit (Haupt-)Effekten ohne WW
Fit1 = lm(y ~ (.), data = Box1)
(summary(Fit1))
#9. Cube Plots
cubePlot(Fit4,"K","T","P")
cubePlot(Fit4,"K","T","C")
cubePlot(Fit4,"K","P","C")
cubePlot(Fit4,"T","P","C")
