# Bsp. "Maleinsaeureanhydrid", 2**4 Studie mit Center Points und Lack of Fit
# 0. Definition der Würfelfunktion und der LOF-Testfunktion
# (siehe Lack of Fit Test, Kapitel 5)
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
source("R_LOF.R")

#1. Versuchsplan mit rsm
library(rsm)
Design=W(~A+B+C+D,n0=4)
#2. Alternativer Versuchsplan mit FrF2
library(FrF2)
Design2=FrF2(16,4,rand=FALSE,ncenter=4)
#3. Datenerfassung
y = c(58.95,78.34,45.75,72.66,46.36,68.62,35.16,59.24,71.62,84.01,
61.18,77.78,61.15,74.83,52.45,65.72,63.03,62.19,64.01,61.16)
Box1 = data.frame(Design,y)
#4. Modell 1. Ordnung, Regressionsanalyse
Fit1 = lm(y~(.),data=Box1)
(summary(Fit1))
#5. Modell 1. Ordnung, Varianzanalyse mit Lack of Fit
(LOF(Fit1))
#6. Modell 2. Ordnung, Regressionsanalyse
Fit2 = lm(y~(.)^2,data=Box1)
(summary(Fit2))
#7. Finales Modell, Regressionsanalyse
Fit3 = lm(y~(.)+A*B+A*D,data=Box1)
(summary(Fit3))
#8. Finales Modell, Varianzanalyse mit LOF
(LOF(Fit3))
