# Cube - erzeugen teilfaktorieller Versuchspläne
#1. Das Argument generators: Erzeugung eines 2**(5-2)-Designs (8 Runs)
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
(Box1=W(~A+B+C,generators=c(D~-A*B,E~B*C)))
#2. Fall 1 generator: Erzeugung eines 2**(6-1)-Design mit 32 Runs
Box2=W(~A+B+C+D+E,F~-A*C*D)
#3. Das Argument blockgen: Erzeugung von 5 verschiedenen Cube-Blocks mit 8 Runs: 2**(4-1)-Designs
Box3a=W(~A+B+C+D,blockgen="-A*B*C*D")
Box3b=W(~A+B+C+D,blockgen="-A*B*D")
Box3c=W(~A+B+C+D,blockgen="-A*C*D")
Box3d=W(~A+B+C+D,blockgen="-B*C*D")
Box3e=W(~A+B+C+D,blockgen="-A*B*C")
#4. Argument blockgen: Aufspaltung in vier 2**(6-2)-Bloecke mit je 32/4 = 8 Runs durch blockgen
Box4a=W(~A+B+C+D+E,F~-A*C*D,blockgen=c("A*B*C","C*D*E")  )
Box4b=W(~A+B+C+D+E,F~-A*C*D,blockgen=c("-A*B*C","C*D*E") )
Box4c=W(~A+B+C+D+E,F~-A*C*D,blockgen=c("A*B*C","-C*D*E") )
Box4d=W(~A+B+C+D+E,F~-A*C*D,blockgen=c("-A*B*C","-C*D*E"))
#5. Argument bid: Aufspaltung in 4 Bloecke
Box5a=W(~A+B+C+D,blockgen=c("A*B*C","A*C*D"),bid=1)
Box5b=W(~A+B+C+D,blockgen=c("A*B*C","A*C*D"),bid=2)
Box5c=W(~A+B+C+D,blockgen=c("A*B*C","A*C*D"),bid=3)
Box5d=W(~A+B+C+D,blockgen=c("A*B*C","A*C*D"),bid=4)
#Alternative: Box2=W(~A+B+C+D+E,generators=F~-A*C*D)
