# Erzeugung von 2**4- und 2**(4-1)-Designs mit R-packages rsm und FrF2
#1. Erzeugung eines Cube-Blocks mit 16 Runs: 2**4-Design
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
Box1=W(~A+B+C+D)
#2. Alternative
library(FrF2)
Box1FrF2=data.frame(FrF2(nruns=16, nfactors=4, rand=FALSE))
#3. Erzeugung aller verschiedenen Cube-Blocks mit 8 Runs: 2**(4-1)-Designs
Box2a=W(~A+B+C+D,blockgen="-A*B*C*D")
Box2b=W(~A+B+C+D,blockgen="-A*B*D")
Box2c=W(~A+B+C+D,blockgen="-A*C*D")
Box2d=W(~A+B+C+D,blockgen="-B*C*D")
Box2e=W(~A+B+C+D,blockgen="-A*B*C")
#4. Alternativen zu #2 mit FrF2
Box3a=data.frame(FrF2(8,4,rand=FALSE,gen="ABC"))
Box3b=data.frame(FrF2(8,4,rand=FALSE,gen="AB"))
Box3c=data.frame(FrF2(8,4,rand=FALSE,gen="AC"))
Box3d=data.frame(FrF2(8,4,rand=FALSE,gen="BC"))
# Box3e=data.frame(FrF2(8,4,rand=FALSE,gen="CD"))
#5. Alias-Strukturen
y=c(1:8)
Box4a=aliases(lm(y~(.)^4,data=data.frame(Box2a,y)))
Box4b=aliases(lm(y~(.)^4,data=data.frame(Box2b,y)))
Box4c=aliases(lm(y~(.)^4,data=data.frame(Box2c,y)))
Box4d=aliases(lm(y~(.)^4,data=data.frame(Box2d,y)))
Box4e=aliases(lm(y~(.)^4,data=data.frame(Box2e,y)))
#6. Kontrolle: Nummer 2 mit umgekehrtem Vorzeichen
Box5a=W(~A+B+C+D,blockgen="A*B*C*D")
Box5b=W(~A+B+C+D,blockgen="A*B*D")
Box5c=W(~A+B+C+D,blockgen="A*C*D")
Box5d=W(~A+B+C+D,blockgen="B*C*D")
Box5e=W(~A+B+C+D,blockgen="A*B*C")
