# Bsp. "Schlagbiegefestigkeit"
#1. Datenerfassung
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
Box1=W(~A+B+C+D,E~A*B*C*D)
y=c(47.41,47.3, 38.91,41.82,  42.85,43,  37.99,38.91,
57.83,59.45,44.63,48.66,  57,   56.6,46.4, 46.25)
Box1$y=y
Box1
#2. Lineares Modell, Haupteffekte und 2f Wechselwirkungen
Fit = lm(y ~ (.)^2, data = Box1)
(Box2=summary(Fit))
#3. Grafische Auswertungen mit Paket FrF2
library(FrF2)
MEPlot(Fit)
IAPlot(Fit)
DanielPlot(Fit,code=TRUE,alpha=0.5)
DanielPlot(Fit,code=TRUE,alpha=0.5,half=TRUE)
#4. Alternative zu Box1 mit FrF2
Box3 = data.frame(FrF2(16,5,randomize=FALSE))
Box3$y=y
#5. Eingabedaten im Klartext
Box4 = list(Heizungsart=c("Gas","Oel"),Temperatur=c(177,260),
Distanz=c(5,10),Sediment=c("nein","etwas"),Saegeblattdicke=c(0.5,0.7))
Box5 = FrF2(16,5, factor.names=Box4,randomize=FALSE)
(Box6 = data.frame(Box5,Biegefestigkeit=y))
#6. Aliases
(Box7=aliases(lm(y ~ (.)^4, data = Box1)))
