# Das "Injection Molding"-Experiment (2**(8-4) = 16)
#1. Daten mit rsm, Versuchsplan und Messwerte (Schrumpf)
W=function(...,n0=0,rand=F){data.frame(cube(n0=n0,rand=rand,...))[,-c(1,2)]}
library(rsm)
Box1=W(~A+B+C+D,gen=c(E~B*C*D,F~A*C*D,G~A*B*C,H~A*B*D))
y = c(20.3,16.8,15.0,15.9,17.5,24.0,27.4,22.3,
14.0,16.7,21.9,15.4,27.6,21.5,17.1,22.6)
Box1$y=y
Box1
#2. Lineares Modell, Haupteffekte und 2f Wechselwirkungen
Fit = lm(y ~ (.)^2, data = Box1)
(Box2=summary(Fit))
#3. Lade Paket FrF2 fuer weitere Auswertungen
library(FrF2)
#4. Grafische Auswertungen
MEPlot(Fit)
IAPlot(Fit)
DanielPlot(Fit,code=TRUE,alpha=0.05)
DanielPlot(Fit,code=TRUE,alpha=0.05,half=TRUE)
#5. Alternative zu Box1 mit FrF2
Box5=data.frame(FrF2(16,gen=c("BCD","ACD","ABC","ABD"),rand=FALSE))
Box5$y=y
#6. Aliases bis 3f-WW
(Box6=aliases(lm(y~(.)^3,data=Box1)))
