# Bsp. "3d-Berg"
#1. Dateneingabe
x1=c(-1, 1,-1, 1,-1, 1,-1, 1, 0,-2, 2, 0, 0, 0, 0)
x2=c(-1,-1, 1, 1,-1,-1, 1, 1, 0, 0, 0,-2, 2, 0, 0)
x3=c(-1,-1,-1,-1, 1, 1, 1, 1, 0, 0, 0, 0, 0,-2, 2)
y =c(57,40,19,40,54,41,21,43,63,28,11, 2,18,56,46)
Box1=data.frame(x1,x2,x3,y)
#2. Fit second-order linear model.
library(rsm)
Fit=rsm(y~SO(x1,x2,x3),data=Box1)
(Box2 = summary(Fit))

#3. Contourplots 
par(mfrow=c(2,2))
contour(Fit,~x1+x2,image=TRUE,at=canonical(Fit)$xs,
        main = "durch stationaeren Punkt")
contour(Fit,~x1+x2,image=TRUE,at=data.frame(x1=0,x2=0,x3=-2/3),
        main = "durch (0, 0, -2/3)")
contour(Fit,~x1+x2,image=TRUE,at=data.frame(x1=0,x2=0,x3=-4/3),
        main = "durch (0, 0, -4/3)")
contour(Fit,~x1+x2,image=TRUE,at=data.frame(x1=0,x2=0,x3=-6/3),
        main = "durch (0, 0, -2)")
par(mfrow=c(1,1))

#4. Merke (1): Nur stationarer Punkt:
(Box3=xs(Fit))
Box3a=summary(Fit)$canonical$xs
Box3b=canonical(Fit)$xs
#5 Merke (2): Nur Eigenwerte und Eigenvektoren
(Box4=canonical(Fit)$eigen)
Box4a=summary(Fit)$canonical$eigen
#6. Merke (3): Residuen
(names(Fit))
(round(Fit$residuals,digits=0))
#7. Merke (4): Studentisierte Residuen
(Fit$studres = round(rstudent(Fit),digits=1))
(names(Fit))

