# Bsp. "2d-Sattel 3**2"
#1. Originaldaten von Box et al. 2005
library(rsm)
Box1 = codata
#2. Hinzufuegung von Codings
Box2 = coded.data(Box1, x1 ~ (Ethanol - 0.2)/0.1, x2 ~ A.F.ratio - 15)
head(Box2, n=3)
#3. Fit
Fit1 = rsm(y ~ SO(x1,x2), data = Box2)
canonical(Fit1)
# Warnmeldung! canonical hat einen default-threshold für Eigenwerte
# wenn dieser unterschritten wird, wird der Eigenwert auf 0 gesetzt
#4. Resultat ohne Treshold
canonical(Fit1, threshold = 0)
contour(Fit1, x2 ~ x1, bounds = list(x1=c(-16,2), x2=c(-2,16)),
zlim=c(-100,100), col="gray", decode = FALSE)
lines(c(-1,1,1,-1,-1), c(-1,-1,1,1,-1), col="green") # design region
points(x2 ~ x1, data=canonical.path(Fit1), col="red", pch=1+6*(dist==0))
points(x2 ~ x1, data=canonical.path(Fit1, threshold=0),
col="blue", pch=1+6*(dist==0))
