# Sequentielle Optimierung bei 3 Variablen, Teil A bis B
#A1. Daten
library(rsm)
Abox1 = cube(~x1+x2,x3~x1*x2,n0=4,randomize=FALSE)
codings(Abox1) = c(x1~(Mehl-1)/0.1,
x2~(Zucker-0.5)/0.1,x3~(Butter-0.25)/0.1)
Abox1$y = c(21.5,28.9,20.2,27.1,25.0,24.7,25.5,24.7)
Abox1
Abox2 = data.frame(Abox1[,3:6])
#A2. Analyse
Afit = rsm(y ~ FO(x1,x2,x3), data=Abox1)
(Abox3 = summary(Afit))
#B1. Vorversuche
op=options(width=120)
(Bbox1 = steepest(Afit))
#B2. Versuchsauswahl fuer Hill climbing und Messung
Bbox2 = dupe(Bbox1[2:9, ],randomize=FALSE)
Bbox2$y = c(24.8,25.3,27.5,26.6,26.0,27.8,27.3,24.3)
Bbox2
#B3. Grafische Auswertung
plot(y ~ dist, data = Bbox2)
Bfit = lm(y ~ poly(dist, 2), data = Bbox2)
with(Bbox2, {
ord = order(dist)
lines(dist[ord], predict(Bfit)[ord])
})
options(op)
