# Sequentielle Optimierung bei 3 Variablen, Teil C bis F
#C1. Daten nach Hill Climbing
library(rsm)
Cbox1=cube(~x1+x2,x3~x1*x2,n0=4,randomize=FALSE)
Cbox1$y=c(27.3,25.3,26.0,23.7,26.6,26.2,27.8,27.2)
codings(Cbox1)=c(x1~(Mehl-1.25)/0.1,
x2~(Zucker-0.45)/0.1,x3~(Butter-0.25)/0.1)
Cbox1
Cbox2=data.frame(Cbox1[,3:6])
#C2. Analyse
Cfit = rsm(y ~ FO(x1,x2,x3), data=Cbox1)
(Cbox3 = summary(Cfit))
#D1-2. Das Foldover-Experiment und djoin
Dbox1 = foldover(Cbox1, variable = "x1",randomize=FALSE)
Dbox1$y = c(33.3,34.0,31.0,34.6,35.5,34.9,35.1,35.1)
(Dbox2 = djoin(Cbox1, Dbox1) )
Dbox3 = data.frame(djoin(Cbox1, Dbox1)[,-c(1,2)])
#D3. Analyse (Regression) der kombinierten Daten (der erweiterten Foldover-Daten)
Dfit = rsm(y ~ Block + FO(x1,x2,x3), data = djoin(Cbox1, Dbox1))
(Dbox4 = summary(Dfit))
#E1. Hinzufuegung eines Star-Blocks
Ebox1=star(Dbox1, n0 = 2, alpha = "orthogonal",randomize=FALSE)
Ebox1$y = c(26.7,23.9,29.3,26.0,27.3,27.6,26.7,27.4)
(Ebox2 = djoin(Cbox1, Dbox1, Ebox1) )
#E2. Analyse der erweiterten Daten
Efit = rsm(y ~ Block + SO(x1,x2,x3), data = Ebox2)
(Ebox3 = summary(Efit))
#F1. second order Hill climbing, Ridge analysis
op=options(width=120)
(Fbox1 = steepest(Efit))
#F2. Experiment
Fbox2 = dupe(steepest(Efit, dist = (2:9/3) ),randomize=FALSE)
Fbox2$y = c(34.1,35.0,35.5,34.7,33.8,34.2,33.3,33.4)
Fbox2
#F3. Grafische Auswertung
plot(y ~ dist, data = Fbox2)
Ffit = lm(y ~ poly(dist, 2), data = Fbox2)
with(Fbox2, {
ord = order(dist)
lines(dist[ord], predict(Ffit)[ord])
})
options(op)
