# optFederov erzeugt D-optimale (und orthogonale) 2**(k-p) Planmatrizen
#1. Faktorielle Plaene
library(AlgDesign)
Dat2 = gen.factorial(levels=2,nVars=2,varNames=c("A","B"))
Dat3 = gen.factorial(lev=2,n=3,varNames=c("A","B","C"))
Dat4 = gen.factorial(lev=2,n=4,varNames=c("A","B","C","D"))
Dat5 = gen.factorial(lev=2,n=5,varNames=c("A","B","C","D","E"))
#2. Optimale Designs
Des1 = optFederov(~.,Dat2,nTrials=4)
Des2 = optFederov(~.,Dat3,nTrials=8)
Des3 = optFederov(~.,Dat3,nTrials=4)
Des4 = optFederov(~.,Dat4,nTrials=16)
Des5 = optFederov(~.,Dat4,nTrials=8)
Des6 = optFederov(~.,Dat5,nTrials=32)
Des7 = optFederov(~.,Dat5,nTrials=16)
Des8 = optFederov(~.,Dat5,nTrials=16,nRepeats=10)
#3. Planmatrizen
(Box1=Des1$design)
(Box2=Des2$design)
(Box3=Des3$design)
(Box4=Des4$design)
(Box5=Des5$design)
(Box6=Des6$design)
(Box7=Des7$design)
(Box8=Des8$design)
#4. Eigenschaftsmatrix
Design =   c("Des1",  "Des2",  "Des3",  "Des4",  "Des5",  "Des6",  "Des7",  "Des8")
D =  round(c(Des1$D,  Des2$D,  Des3$D,  Des4$D,  Des5$D,  Des6$D,  Des7$D,  Des8$D), 3)
A =  round(c(Des1$A,  Des2$A,  Des3$A,  Des4$A,  Des5$A,  Des6$A,  Des7$A,  Des8$A), 3)
Ge = round(c(Des1$Ge, Des2$Ge, Des3$Ge, Des4$Ge, Des5$Ge, Des6$Ge, Des7$Ge, Des8$Ge),3)
Dea=round(c(Des1$Dea,Des2$Dea,Des3$Dea,Des4$Dea,Des5$Dea,Des6$Dea,Des7$Dea,Des8$Dea),3)
(Box9 = data.frame(Design,D,A,Ge,Dea))
