# D-,A-,I-optimale Designs und CCD mit optFederov
#1. 3**3-Kandidat und 4 optimale Designs
library(AlgDesign)
Dat1 = gen.factorial(levels=3,nVars=3,varNames=c("A","B","C"))
Des1 = optFederov(~quad(A,B,C),Dat1,nTrials=14,eval=TRUE)
Des2 = optFederov(~quad(.),Dat1,nTrials=14,eval=TRUE,crit="A")
Des3 = optFederov(~quad(.),Dat1,nTrials=14,eval=TRUE,crit="I")
rows = c(1,3,5,7,9,11,13,15,17,19,21,23,25,27)
Des4 = optFederov(~quad(.),Dat1,nTrials=14,eval=TRUE,rows=rows)
#2. Expandierter Kandidat und D-optimales Design
g = seq(-1,1,by=.1)
Dat2 = expand.grid(list(A=g,B=g,C=g))
Des5 = optFederov(~quad(.),Dat2,nTrials=14,eval=TRUE)
#3. Planmatrizen
Box1=Des1$design
Box2=Des2$design
Box3=Des3$design
Box4=Des4$design
Box5=Des5$design
#4. Eigenschaftsmatrix
Design =   c("Des1",  "Des2",  "Des3",  "Des4",  "Des5")
Kandidaten = c("Dat1",  "Dat1",  "Dat1",  "Dat1",  "Dat2")
Programm = c("optFederov","optFederov","optFederov","CCD","optFederov")
crit   =   c("crit=D","crit=A","crit=I"," ",     "crit=D")
soll = c("max","min","min"," ","max")
D =  round(c(Des1$D,  Des2$D,  Des3$D,  Des4$D,  Des5$D), 3)
A =  round(c(Des1$A,  Des2$A,  Des3$A,  Des4$A,  Des5$A), 3)
I =  round(c(Des1$I,  Des2$I,  Des3$I,  Des4$I,  Des5$I), 3)
Ge = round(c(Des1$Ge, Des2$Ge, Des3$Ge, Des4$Ge, Des5$Ge),3)
Dea=round(c(Des1$Dea,Des2$Dea,Des3$Dea,Des4$Dea,Des5$Dea),3)
(Box6 = data.frame(Design,Kandidaten,Programm,crit,soll,D,A,I,Ge,Dea))
# Teil 4: Originaltext
# EXAMPLE 1
# A quadratic polynomial in three variables. The resulting D will be about 0.46.
# This may be compared with a standard central composite design obtained from
# rows 1,3,5,7,9,11,13,15,17,19,21,23,25,27 of dat, which has a D value of 0.46.
# The central composite design seems to be the optimal design for all three criteria.
# The I criterion may be seen to decrease as the space is expanded.
# This is not the case for A or D. For A and D, the support points are the points
# of the grid with the three levels above. Points not on this grid move
# the criteria in a non-optimal direction
#hence, the enlarging space has no effect.
