# Approximative optimale Designs
#1. Quadratisches Modell in 3 Variablen zu je 7 Stufen (-3
library(AlgDesign); op=options(width=70)
Box1=gen.factorial(levels=7,nVars=3,center=TRUE,varNames=c("A","B","C"))
#2. Kandidaten fuer einen Versuchsplan: 27 Support Points
Box2=optFederov(~quad(.),Box1,approximate=TRUE)
data.frame(Box2$D,Box2$A,Box2$Ge,Box2$Dea)
Box2$design
#3. Auswahl von 18 Versuchen aus Box2
Box3=optFederov(~quad(.),Box2$design,nTrials=18)
data.frame(Box3$D,Box3$A,Box3$Ge,Box3$Dea)

#4. Approximativ: Direkte Bestimmng von 18 Versuchen aus Box1
Box4=optFederov(~quad(.),Box1,nTrials=18,approximate=TRUE)
data.frame(Box4$D,Box4$A,Box4$Ge,Box4$Dea)

#5. Exakt: Direkte Bestimmng von 18 Versuchen
Box5=optFederov(~quad(.),Box1,nTrials=18)
data.frame(Box5$D,Box5$A,Box5$Ge,Box5$Dea)

#6. Ausgabe
Box3$design
Box4$design
Box5$design; options(op)