# Festigkeit von Polyblends (Montgomery Seite 615)
#1. Versuchsplan, 3 Replikationen
library(AlgDesign)
Box1 = gen.mixture(levels=3,vars=3)
Box2 = rbind(Box1,Box1,Box1)
#2. Messwerte, Eingabedaten
y = c(11,15,8.8,17.7,10,16.8,12.4,14.8,10,16.4,9.7,16,NA,16.1,NA,16.6,11.8,NA)
Box3 = data.frame(Box2,y)
names(Box3) = c("PE","PS","PP","y")
#3. Regression
Fit = lm(y ~ (.)^2 -1, data=Box3) # ohne Absolutglied!
(Box4 = summary(Fit))
#4. PDF-Grafik
library(mixexp)
MixturePlot(Box3$PP,Box3$PS,Box3$PE,Box3$y,
x3lab="Anteil Polypropylen (PP)", x2lab="Anteil Polystyrol (PS)",
x1lab="Anteil Polyethylen (PE)", corner.labs=c("PP","PS","PE"),
constrts=FALSE,contrs=TRUE,cols=FALSE, mod=2,n.breaks=9)


