/* Poisson-Gauss-Fit Histogramm */
%let pgm=S_10; * Name des Programms;

%let lambda=22.5;


/* Daten */
data a;
do z=0 to 40; y=z-1;
poisson=&lambda**z*exp(-&lambda)/gamma(z+1);

fp=100000*poisson;
output;
end;
run;

/* Grafische Optionen */
filename ff2 "&pgm-.jpg";
goptions device=jpeg gsfname=ff2;
goptions colors=(black) aspect=0;
title;
symbol1 V=' ' I=JOIN width=2;

/* Plot */
proc capability data=a noprint;
    freq fp;
    comphistogram z /
        normal(w=3) 
        midpoints=6 to 40 by 1
        novtick nohlabel;
run;
quit;
