/* Poisson-Verteilung */
%let pgm=S_11; * Name des Programms;

filename ff1 "&pgm-a.jpg";
filename ff2 "&pgm-b.jpg";
filename ff3 "&pgm-c.jpg";
filename ff4 "&pgm-d.jpg";

%macro poisson(mu,xmax,dx,fmax,df,filename);
/* Daten */
data d1; do x=0 to &xmax; f=&mu**x*exp(-&mu)/gamma(x+1); output; end;
/* Grafische Optionen */
goptions device=jpeg gsfname=&filename;
title;
symbol1 v=NONE I=needle L=1 w=8; *w=6?;
axis1 order=0 to &xmax by &dx minor=none
  value=(font=zapf height=0.7cm) label=none; *(height=2  font=zapf "n");
axis2 order=0 to &fmax by &df minor=none
  value=(font=swiss height=0.7cm) /*label=(height=2  font=zapf "P(n)")*/
       label=none;
/* Plot */
proc gplot data=d1;
  plot f*x/haxis=axis1 vaxis=axis2;
note font=greek height=0.8cm
     move =(65,60) pct font=greek "l" font=zapf "=&mu";
run;
%mend poisson;

%poisson(0.5, 5,1, 0.80,0.2 ,ff1);
%poisson(  1,10,1, 0.40,0.1 ,ff2);
%poisson(5  ,10,2, 0.40,0.1 ,ff3);
%poisson( 10,20,5, 0.15,0.05,ff4);

run;
quit;
