/* Geometrische Verteilung Variante A*/
%let pgm=S_12; * Name des Programms;

%let mmax=6;
%let probmax=0.6;
%let q=0.4;

/* Daten */
data a;
do m=1 to &mmax;
prob=(&q**(m-1))*(1-&q);
output;
end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
title;
symbol1 v=none i=needle l=1 w=6;
axis1 label=none /*label=(height=2  font=zapf "P(m)")*/
  order=0 to &probmax by 0.2 minor=none  value=(font=zapf height=0.7cm);
axis2 label=none /*label=(font=zapf height=2 "m")*/
  order=0 to &mmax by 1 minor=none
  value=(font=zapf height=0.7cm);

proc gplot data=a;
note font=zapf height=0.8cm
     move =(65,60) pct "q=&q";
plot prob*m/vaxis=axis1 haxis=axis2;
run;
quit;
