/* negative Binomialverteilung */
%let pgm=S_14; * Name des Programms;

%let mmax=9;
%let probmax=0.5;
%let q=0.5;
%let v=2;

/* Daten */
data a;
do m=0 to &mmax; y=m-1;
if m=0 then prob=probnegb(&q,&v,m); else
prob=probnegb(&q,&v,m)-probnegb(&q,&v,y);
output;
end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
title;
symbol1 v=none i=needle l=1 w=6;
axis1 label=none /*label=(height=2  font=zapf "P(m)")*/
    order=0 to &probmax by 0.1 minor=none  value=(font=zapf height=0.7cm);
axis2 label=none /*label=(font=zapf height=2 "m")*/
    order=0 to &mmax by 1 minor=none
    value=(font=zapf height=0.7cm);

proc gplot data=a;
note font=zapf height=0.8cm
     move =(65,60) pct "q=&q, v=&v";
plot prob*m/vaxis=axis1 haxis=axis2;
run;
quit;
