/* Gauss'sche Glockenkurve */

/* Daten */
data d1; m=0; s=1;
do i=-3 to 2 by 1;
do x=i*s to (i+1)*s by .2;
y=1/sqrt(2*3.1415926*s**2)*exp(-(x-m)**2/(2*s**2)); output; end;
do x=(i+1)*s to i*s by -.2; y=0;                      output; end;
end;

/* Grafische Optionen */
filename ff1 'S_15-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;
axis1 label=none order=0 to 0.4 by 0.1 minor=none value=none;
axis2 label=none order=-3 to 3 by 1 minor=none
      value=(font=greek height=0.7cm
      'm-3s' 'm-2s' 'm-s' 'm' 'm+s' 'm+2s' 'm+3s');
symbol1 V=' ' I=JOIN width=3;
symbol2 V=' ' I=JOIN width=3;
symbol3 V=' ' I=JOIN width=3;
symbol4 V=' ' I=JOIN width=3;
symbol5 V=' ' I=M3N030 width=3;
symbol6 V=' ' I=M3X030 width=3;

/* Plot */
proc gplot data=d1;
plot y*x=i/vaxis=axis1 haxis=axis2 nolegend;
run;
quit;
