/* CDF Gauss-Verteilung sigma=1/2, 1, 2 */
/* Daten */
data d1(keep=z n cdf) anno(keep=xi y s p f text xsys ysys style line);
length text $ 20;
array a(3) _temporary_ (-0.5,0.7,2) ;  /* Beschriftungsorte */
array b(3) _temporary_ (0.15,0.20,0.55);  /* Nach rechts */
array stext(3) $ 10 _temporary_ ('1/2','1','2');  /* Beschriftungen */
array snum(3) _temporary_ (0.333333,1,3);  /* Sigma */
do n=1 to 3;  sigma=snum(n);
  do z = -4 to 4 by 0.1;
    ztemp=z; link cdf;
    output d1;
    if abs(a(n)-z) < 0.001 then do;
      xsys='2'; ysys='2'; xi=z+b(n); y=cdf; f='move '; output anno;
      s=2; p='C';
      f='label'; style='greek'; text='s=';  output anno;
          xi=z+b(n)+0.5; f='move'; output anno;
      f='label'; style='swiss'; text=stext(n);  output anno;
    end;
  end;
end;
return;
  cdf: cdf=probnorm(ztemp/sigma);
return;
run;

/* Grafische Optionen */
filename ff1 'S_17-.jpg';
goptions colors=(black) aspect=0;
goptions device=jpeg gsfname=ff1;
title;
axis1 label=none /* (height=2  font=zapf "f(z)") */
      offset=(0cm)
      order=0 to 1.0 by 0.2 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none /*(font=zapf height=2 "z")*/
      order=-4 to 4 by 2 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=1;
symbol3 V=NONE I=JOIN width=2 L=1;

/* Plot */
proc gplot data=d1
annotate=anno(rename=(f=function p=position s=size xi=x));
plot cdf*z=n/vaxis=axis1 haxis=axis2 nolegend;
run;
quit;
