/* CDF Normal-Verteilung sigma=1 */

/* Daten */
data d1(keep=z cdf n);
sigma=1;
  do z = -2 to 2 by 0.01;
    ztemp=z; 
    n=1; link cdf; output d1;
    n=2; link qua; output d1;
  end;
return;
  cdf: cdf=probnorm(ztemp/sigma);
return;
  qua: cdf=probit(ztemp/sigma);
return;
run;

/* Grafische Optionen */
filename ff1 'S_19-.jpg';
goptions colors=(black) aspect=0;
goptions device=jpeg gsfname=ff1;
title;
axis1 label=none /* (height=2  font=zapf "f(z)") */
      offset=(0cm)
      /*order=0 to 1.0 by 0.2 minor=none*/
	  order=-2 to 2 by 1 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none /*(font=zapf height=2 "z")*/
      order=-2 to 2 by 1 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=2;

/* Plot */
proc gplot data=d1;
plot cdf*z=n/vaxis=axis1 haxis=axis2 nolegend href=0 0.5 1 vref=0 0.5 1;
run;
quit;
