/* CDF Boltzmann-Verteilung */
%let pgm=S_2; * Name des Programms;


/* Daten */
data d1(keep=w cdf);
  do w = -1 to 4 by 0.1;
    if w>= 0 then cdf=2*probnorm(sqrt(2*w))-1;
        else cdf=0;
    output d1;
  end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
goptions colors=(black) aspect=0;
title;
axis1 label=none /* (height=2  font=zapf "f(z)") */
      offset=(0cm)
      order=0 to 1.0 by 0.5 minor=none
      value=(font=swiss height=0.7cm 'F=0' '0.5' 'F=1');
axis2 label=none /*(font=zapf height=2 "z")*/
      offset=(0cm)
      order=-1 to 4 by 1 minor=none
      value=(font=swiss height=0.7cm  '-kT ' font=greek height=1cm 'e=0'
          font=swiss height=0.7cm 'kT' '2kT' '3kT' '4kT');
symbol1 V=NONE I=JOIN width=2 L=1;

/* Plot */
proc gplot data=d1;
plot cdf*w/vaxis=axis1 haxis=axis2 nolegend href=0 vref=0.5;
run;
quit;

