/* Quantile der Normalverteilung */

/* Daten */
data quantil;
  do x=0.90 to 0.99 by 0.005;
  y=probit(x);
  output; end;
run;

/* Grafische Optionen */
filename ff1 'S_20-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;
axis1 label=none
      offset=(0cm)
      order=1.2 to 2.4 by 0.1
      /*minor=none*/
      value=(font=greek /*height=0.2cm*/);
axis2 label=none
      offset=(0cm)
      order=0.90 to 0.99 by 0.01 minor=none
      value=(font=swiss /*height=0.2cm*/
      'p=0.90' '0.91' '0.92' '0.93' '0.94'
        '0.95' '0.96' '0.97' '0.98' '0.99');
symbol1 V=' ' I=JOIN width=1;

/* Plot */
proc gplot data=quantil;
plot y*x/vaxis=axis1 vref=1.2 to 2.4 by 0.1
         haxis=axis2 href=.91 to .98 by 0.01
         nolegend;
run;
quit;
