/* Cauchy-Verteilung */

/* Daten */
data d1; m=0; lambda=1;
do i=-3 to 2 by 1;
do x=i*lambda to (i+1)*lambda by .2;
y=(1/3.1415926)*(lambda/(lambda**2+(x-m)**2)); output; end;
do x=(i+1)*lambda to i*lambda by -.2; y=0;                      output; end;
end;

/* Grafische Optionen */
filename ff1 'S_22-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;
axis1 label=none order=0 to 0.4 by 0.1 minor=none value=none;
axis2 label=none order=-3 to 3 by 1 minor=none
      value=(font=greek height=0.7cm
      'm-3l' 'm-2l' 'm-l' 'm' 'm+l' 'm+2l' 'm+3l');
symbol1 V=' ' I=JOIN width=3;
symbol2 V=' ' I=JOIN width=3;
symbol3 V=' ' I=JOIN width=3;
symbol4 V=' ' I=JOIN width=3;
symbol5 V=' ' I=M3N030 width=3;
symbol6 V=' ' I=M3X030 width=3;

/* Plot */
proc gplot data=d1;
plot y*x=i/vaxis=axis1 haxis=axis2 nolegend;
run;
quit;

/* Flaechenberechnung */
data a;
do i=1 to 3;
  flaeche=2*atan(i)*(1/3.1415926);
  output;
end;
proc print;
run;
