/* Chiquadrat-Verteilung n=1, 2, 3 und n=3, 5, 8, 15, 25 */

filename ff1 'S_23-a.jpg';
filename ff2 'S_23-b.jpg';
goptions colors=(black) aspect=0;

goptions device=jpeg gsfname=ff1;
title;
data d1(keep=z n dichte) anno(keep=xi y s p f text xsys ysys style line);
length text $ 20;
array a(3) _temporary_ (0.5 1 3);  /* Beschriftungsorte */
do n = 1,2,3;
  quantil=cinv(0.95,n);
  do z = 0 to 0.99 by 0.01, 1 to 10 by 0.1;
    ztemp=z; link dichte;
    output d1;
    if abs(a(n)-z) < 0.001 then do;
      xsys='2'; ysys='2'; xi=z; y=dichte; f='move '; output anno;
      xi=z+1.0; y=dichte+0.1;            f='draw '; s=1; output anno;
/*
      s=2; p='C'; f='label'; style='zapf'; text=' n='!!left(put(n,3.)); output anno;
      ox=xi; oy=y; y=y-0.04; s=1.3;
        text=' P{z<'!!put(quantil,5.4)!!'}=.95'; *output anno;
      xi=ox; y=oy; xi=z+1.9; y=y+0.01; f='move';output anno;
*/
      xi=quantil; f='draw'; s=1; line=1; output anno; /* am Eck */
      s=2; p='C'; f='label'; style='swiss';
       if n<=2 then do;
          text='n='!!left(put(n,1.))!!', q='!!put(quantil,5.4);  output anno;
       end;
       else do;
          text='n='!!left(put(n,1.))!!','; output anno;
          y=y-0.12; f='move';output anno;
                  f='label'; text=' q='!!put(quantil,4.3); output anno;
                  y=y+0.12; f='move';output anno;
                end;
      ztemp=quantil; link dichte; y=dichte; xi=quantil; f='draw'; s=1; output anno;
      s=3; y=0; line=1; output anno;
    end;
  end;
end;
return;
  dichte: dichte=ztemp**(n/2-1)*exp(-ztemp/2)/(gamma(n/2)*2**(n/2));
return;
run;
proc gplot data=d1
annotate=anno(rename=(f=function p=position s=size xi=x));
plot dichte*z=n/vaxis=axis1 haxis=axis2 nolegend;
axis1 label=none /* (height=2  font=zapf "f(z)") */
      offset=(0cm)
      order=0 to 0.8 by 0.2 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none /*(font=zapf height=2 "z")*/
      order=0 to 10 by 2 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=1;
symbol3 V=NONE I=JOIN width=2 L=1;
run;
quit;


goptions device=jpeg gsfname=ff2;
data d1(keep=z n dichte) anno(keep=xi y s p f text xsys ysys style line);
length text $ 20;
do n = 3,5,8,15;
  quantil=cinv(0.95,n);
  do z = 0 to 30 by 0.2;
    ztemp=z; link dichte;
    output d1;
    if abs(n-1-z) < 0.01 then do;
      xsys='2'; ysys='2'; xi=z; y=dichte; f='move '; output anno;
      xi=z+1.0; y=dichte+0.02;            f='draw '; s=1; output anno;
/*
      s=2; p='C'; f='label'; style='zapf'; text=' n='!!left(put(n,3.)); output anno;
      ox=xi; oy=y; y=y-0.015; s=1.3;
        text=' P{z<'!!put(quantil,5.4)!!'}=.95'; *output anno;
      xi=ox; y=oy; xi=z+4.5; y=y+0.007; f='move';output anno;
*/
      xi=quantil; f='draw'; s=1; line=1; output anno; * am Eck;
      s=2; p='C'; f='label'; style='swiss';
        if n<=8 then do;
          text='n='!!left(put(n,1.))!!', q='!!put(quantil,5.4);
                  output anno;
                end;
        else do;
          text='n='!!left(put(n,2.))!!','; output anno;
          y=y-0.04; f='move';output anno;
                  f='label'; text=' q='!!put(quantil,2.); output anno;
                  y=y+0.04; f='move';output anno;
                end;
      ztemp=quantil; link dichte; xi=quantil; y=dichte; f='draw'; s=1; output anno;
      s=3; y=0; line=1; output anno;
    end;
  end;
end;
return;
  dichte: dichte=ztemp**(n/2-1)*exp(-ztemp/2)/(gamma(n/2)*2**(n/2));
return;
run;
proc gplot data=d1
annotate=anno(rename=(f=function p=position s=size xi=x));
plot dichte*z=n/vaxis=axis1 haxis=axis2 nolegend;
axis1 label=none /*(height=2  font=zapf "f(z)")*/
      offset=(0cm)
      order=0 to 0.3 by 0.1 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none /*(font=zapf height=2 "z") */
      order=0 to 30 by 5 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=1;
symbol3 V=NONE I=JOIN width=2 L=1;
symbol4 V=NONE I=JOIN width=2 L=1;
symbol5 V=NONE I=JOIN width=2 L=1;
symbol6 V=NONE I=JOIN width=2 L=1;
run;
quit;

