/* Chiquadrat CINV */

filename ff1 'S_25-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;
%let bp=0.005 to 0.025 by 0.001; *Berechnte Werte;
%let dp=0.0005;                *Abgriff fr Annotate ;
%let horder=0.005 to 0.025 by 0.005;
%let href  =0.01 to 0.020 by 0.005;
%let hvalue=;
%let hvalue='p=0.005' '0.01' '0.015' '0.02' '0.025';
%let laenge=0.06;

%let vorder=0 to 1 by 0.2;
%let vref=0 to 1 by 0.2;

%let df=1 2 3 4 5 6 7 8; *Freiheitsgrade;
%let xstart=0.022 0.019 0.018 0.016 0.012 0.007 0.007 0.007; *Beschriftungsorte x-Achse;

data quantil anno(keep=xi y s po f text xsys ysys style line);
  beta=1.55; /* pi/2 */ beta=1.58;
  array flaenge(8) _temporary_ (1 1 1 1 1 1 1 1); *Laengenkorrekturfaktor;
  array vorz(8) _temporary_ (1 1 1 1 -1 -1 -1 -1);
  array df(8)     _temporary_ (&df);  /* Freiheitsgrade */
  array xstart(8) _temporary_ (&xstart);  /* Beschriftungsorte */
  do i=1 to 8;
    if vorz(i)=1 then pos='B'; else pos='5';
    dx=vorz(i)*&laenge*flaenge(i)*cos(beta);
    dy=vorz(i)*&laenge*flaenge(i)*sin(beta);
    n=df(i);
    do p=&bp;
      *y=tinv(1-p,n);
      finvers=cinv(p,n);
      output quantil;
      if abs(xstart(i)-p) < &dp then do;
        xsys='2'; ysys='2';
          xi=p;           y=finvers;           f='move ';      output anno;
          xi=p+dx; y=finvers+dy; f='draw '; s=1; output anno;
          s=1; po=pos; f='label'; style='swiss';
          text='n='!!left(put(n,3.));  output anno;
      end;
    end;
  end;
run;

proc gplot data=quantil annotate=anno(rename=(f=function po=position s=size xi=x));
plot finvers*p=n/vaxis=axis1
         vref=&vref
         haxis=axis2
         href=&href
         nolegend;
axis1 label=none
      offset=(0cm)
      order=&vorder
      /*minor=none*/
      value=(font=zapf);
axis2 label=none
      offset=(0cm)
      order=&horder minor=none
      value=(font=zapf &hvalue);
symbol1 V=' ' I=JOIN width=1;
symbol2 V=' ' I=JOIN width=1;
symbol3 V=' ' I=JOIN width=1;
symbol4 V=' ' I=JOIN width=1;
symbol5 V=' ' I=JOIN width=1;
symbol6 V=' ' I=JOIN width=1;
symbol7 V=' ' I=JOIN width=1;
symbol8 V=' ' I=JOIN width=1;
symbol9 V=' ' I=JOIN width=1;
run;
quit;
