/* Chiquadrat CINV */

filename ff1 'S_26-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;

%let balpha=0.975 to 0.995 by 0.001; *Berechnte Werte;
%let dalpha=0.0005;                *Abgriff fr Annotate ;
%let horder=0.975 to 0.995 by 0.005;
%let href  =0.980 to 0.990 by 0.005;
%let hvalue=;
%let hvalue='p=0.975' '0.98' '0.985' '0.99' '0.995';
%let laenge=0.04;
%let yscale=15;
%let xscale=0.015;

%let vorder=5 to 20 by 5;
%let vref=5 to 20 by 5;

%let df=1 2 3 4 5 6 7 8; *Freiheitsgrade;
%let xstart=0.9775 0.9825 0.9875 0.9925 0.9925 0.9875 0.9825 0.9775; *Beschriftungsorte x-Achse;

data quantil anno(keep=xi y s po f text xsys ysys style line);
  pi=3.1415;
  beta=3*pi/4;
  array flaenge(8) _temporary_ (1 1 1 1 1 1 1 1); *Laengenkorrekturfaktor;
  array vorz(8) _temporary_ (1 1 1 1 -1 -1 -1 -1);
  array df(8)     _temporary_ (&df);  /* Freiheitsgrade */
  array xstart(8) _temporary_ (&xstart);  /* Beschriftungsorte */
  do i=1 to 8;
    if vorz(i)=1 then pos='B'; else pos='5';
    dx=vorz(i)*&laenge*flaenge(i)*cos(beta)*&xscale;
    dy=vorz(i)*&laenge*flaenge(i)*sin(beta)*&yscale;
    n=df(i);
    do alpha=&balpha;
      *y=tinv(1-alpha,n);
      finvers=cinv(alpha,n);
      output quantil;
      if abs(xstart(i)-alpha) < &dalpha then do;
        xsys='2'; ysys='2';
          xi=alpha;           y=finvers;           f='move ';      output anno;
          xi=alpha+dx; y=finvers+dy; f='draw '; s=1; output anno;
          s=1; po=pos; f='label'; style='swiss';
          text='n='!!left(put(n,3.));  output anno;
      end;
    end;
  end;
run;

proc gplot data=quantil annotate=anno(rename=(f=function po=position s=size xi=x));
plot finvers*alpha=n/vaxis=axis1
         vref=&vref
         haxis=axis2
         href=&href
         nolegend;
axis1 label=none
      offset=(0cm)
      order=&vorder
      /*minor=none*/
      value=(font=zapf /*height=0.2cm*/);
axis2 label=none
      offset=(0cm)
      order=&horder minor=none
      value=(font=zapf /*height=0.2cm*/ &hvalue);
symbol1 V=' ' I=JOIN width=1;
symbol2 V=' ' I=JOIN width=1;
symbol3 V=' ' I=JOIN width=1;
symbol4 V=' ' I=JOIN width=1;
symbol5 V=' ' I=JOIN width=1;
symbol6 V=' ' I=JOIN width=1;
symbol7 V=' ' I=JOIN width=1;
symbol8 V=' ' I=JOIN width=1;
symbol9 V=' ' I=JOIN width=1;
run;
quit;
