/* Binomial-Gauss-Fit CDF */
%let pgm=S_3; * Name des Programms;

%let nstich=25;
%let p=0.9;

/* Daten */
data a;
do z=0 to 40; y=z-1;
binom=probbnml(&p,&nstich,z)-probbnml(&p,&nstich,y);
fb=100000*binom;
output;
end;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
goptions colors=(black) aspect=0;
title;
axis1 label=none value=(font=swiss height=0.7cm
      'F=0' '0.2' '0.4' '0.6' '0.8' '1');
axis2 label=none value=(font=swiss height=0.7cm
      'z=14' '16' '18' '20' '22' '24' '26');
symbol1 V=' ' I=JOIN width=2;

/* Plot */
proc capability data=a noprint;
    freq fb;
    cdf z / normal vaxis=axis1 haxis=axis2 nolegend;
run;
quit;
