/* Student TINV nichtlogarithmisch*/

filename ff1 'S_30-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;

data quantil anno(keep=xi y s p f text xsys ysys style line);
  beta=1.55;
  array laenge(8) _temporary_ (.45  .45  .45  .65  .35  .35  .40  .45 );
  array vorz(8) _temporary_ (1 1 1 1 -1 -1 -1 -1);
  array df(8)     _temporary_ (1    2    3    4    5    10   20   100 );  /* Freiheitsgrade */
  array xstart(8) _temporary_ (0.075 0.08 0.06 0.04 0.08 0.06 0.045 0.035);  /* Beschriftungsorte */
  do i=1 to 8;
    if vorz(i)=1 then pos='B'; else pos='5';
    dx=vorz(i)*laenge(i)*cos(beta);
    dy=vorz(i)*laenge(i)*sin(beta);
    n=df(i);
    do alpha=0.02 to 0.1 by 0.005;
      *y=tinv(1-alpha,n);
      finvers=tinv(1-alpha,n);
      output quantil;
      if abs(xstart(i)-alpha) < 0.001 then do;
        xsys='2'; ysys='2';
          xi=alpha;           y=finvers;           f='move ';      output anno;
          xi=alpha+dx; y=finvers+dy; f='draw '; s=1; output anno;
          s=1; p=pos; f='label'; style='swiss';
          text='n='!!left(put(n,3.));  output anno;
      end;
    end;
  end;
run;

proc gplot data=quantil annotate=anno(rename=(f=function p=position s=size xi=x));
plot finvers*alpha=n/vaxis=axis1
         vref=1 to 5 by 0.5
         haxis=axis2
         href=.01 to .1 by 0.01
         nolegend;
axis1 label=none
      offset=(0cm)
      order=1 to 5 by 1
      /*minor=none*/
      value=(font=greek /*height=0.2cm*/);
axis2 label=none
      offset=(0cm)
      order=0.02 to 0.1 by 0.02 minor=none
      value=(font=zapf /*height=0.2cm*/ 'p=0.98' '0.96' '0.94' '0.92' '0.9');
symbol1 V=' ' I=JOIN width=1;
symbol2 V=' ' I=JOIN width=1;
symbol3 V=' ' I=JOIN width=1;
symbol4 V=' ' I=JOIN width=1;
symbol5 V=' ' I=JOIN width=1;
symbol6 V=' ' I=JOIN width=1;
symbol7 V=' ' I=JOIN width=1;
symbol8 V=' ' I=JOIN width=1;
symbol9 V=' ' I=JOIN width=1;
run;
quit;
