/* Bivariate Gauss-Verteilung */

filename ff1 'S_35-a.jpg';
filename ff2 'S_35-b.jpg';
filename ff3 'S_35-c.jpg';
filename ff4 'S_35-d.jpg';

goptions device=jpeg colors=(black);
title;

DATA A;
s1=1; m1=0; s2=1; m2=0;
DO x=-3 TO 3 BY .25;
z1=1/sqrt(2*3.1415926*s1**2)*exp(-(x-m1)**2/(2*s1**2));
DO y=-3 TO 3 BY .25;
z2=1/sqrt(2*3.1415926*s2**2)*exp(-(y-m2)**2/(2*s2**2));
f=z1*z2;
OUTPUT;
END;
END;
run; goptions gsfname=ff1;
PROC G3D DATA=A;
PLOT y*x=f;
run;

DATA A;
s1=1; m1=0; s2=1; m2=0;
DO x= -3 TO 3 BY .25;
z1=1/sqrt(2*3.1415926*s1**2)*exp(-(x-m1)**2/(2*s1**2));
DO y=-3 TO 3 BY .25;
z2=1/sqrt(2*3.1415926*s2**2)*exp(-(y-m2)**2/(2*s2**2));
f=z1*z2;
OUTPUT;
END;
END;
run; goptions gsfname=ff2;
PROC G3D DATA=A; where x>=0;
PLOT y*x=f/side grid zmax=0.16 zticknum=5;
run; goptions gsfname=ff3;
PROC G3D DATA=A; where y>=0;
PLOT y*x=f/side grid zmax=0.16 zticknum=5;
run; goptions gsfname=ff4;
PROC G3D DATA=A;
PLOT y*x=f/side grid zmax=0.04;
run;




