/* Chiquadrat-Verteilung mit n=8, beidseitig schraffiert*/

/* Daten */
%let alpha=0.05;

data d1; n=5;
length ltext $ 200;
x1=cinv(&alpha/2,n);
call symput('x1',x1);
x2=cinv(1-&alpha/2,n);
call symput('x2',x2);
prozent=100*(1-&alpha);
ltext=trim(put(prozent,3.2))!!'% Konfidenzintervall: ('!!
     compress(put(x1,8.2))!!','!!compress(put(x2,8.2))!!')';
call symput('ltext',trim(put(ltext,$char200.)));
do i=1 to 3;
  if i=1 then do; start=0; stop=x1; end;
  if i=2 then do; start=x1; stop=x2; end;
  if i=3 then do; start=x2; stop=20; end;
  do x=start to stop by .01;  link f; output; end;
  do x=stop to start by -.01; y=0;         output; end;
end;
return;
f: y=x**(n/2-1)*exp(-x/2)/(gamma(n/2)*2**(n/2)); return;
/* Grafische Optionen */
filename ff1 'S_36-.jpg';
goptions device=jpeg gsfname=ff1;
goptions colors=(black);
title;
axis1 label=none order=0 to 0.16 by 0.02 minor=none value=none;
axis2 label=none order=0 to 20 by 5 minor=none
      label=(font=zapf height=2.5 "&ltext") 
      value=(height=0.7cm);
symbol1 V=' ' I=M2N030 width=3;
symbol2 V=' ' I=JOIN width=3;
symbol3 V=' ' I=M2N030 width=3;
/* Plot */
proc gplot data=d1;
plot y*x=i/vaxis=axis1 haxis=axis2 href=&x1 &x2 lhref=20 nolegend;
run;
quit;
