/* Stichprobenumfang zur Erreichung einer vorgegebenen Messgenauigkeit fr den Mittelwert, 6 Kurven */
filename ergebnis 'S_38-.jpg'; 

/* Daten */
data d1(keep=x kurve n) anno(keep=xi y s p f text xsys ysys style);
do kurve = 1 to 6;
  select(kurve);
    when(1) do; alpha=.01; exakt=1; m=40; end;
    when(2) do; alpha=.01; exakt=0; m=35; end;
    when(3) do; alpha=.05; exakt=1; m=25; end;
    when(4) do; alpha=.05; exakt=0; m=20; end;
    when(5) do; alpha=.10; exakt=1; m=15; end;
    when(6) do; alpha=.10; exakt=0; m=10; end;
    otherwise;
  end;
  select(alpha);
    when(.01) do; xwindow=35; ywindow=70; p='6'; end;
    when(.05) do; xwindow=38; ywindow=55; p='6'; end;
        when(.10) do; xwindow=25; ywindow=22; p='5'; end;
    otherwise;
  end;
  do n=3 to 51;
    if exakt=1 then x=(tinv(1-alpha/2,n-1))/n**.5;
    else x=(probit(1-alpha/2))/n**.5;
    output d1;
    if n=m then do;
      xsys='2'; ysys='2'; xi=x; y=n; f='move '; output anno;
      xsys='5'; ysys='5'; xi=xwindow; y=ywindow; f='draw '; s=1; output anno;
      s=1.5; f='label'; style='swiss'; text='alpha='!!left(put(alpha,4.2)); output anno;
        end;
end; end;

/* Grafische Optionen */
*goptions device=jpeg gsfname=ergebnis;
goptions colors=(black);
title;
axis1 label=none
      offset=(0cm)
      order=0 to 50 by 10 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none
      offset=(0cm)
      order=0.25 to 1.75 by 0.25 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=2;
symbol3 V=NONE I=JOIN width=2 L=1;
symbol4 V=NONE I=JOIN width=2 L=2;
symbol5 V=NONE I=JOIN width=2 L=1;
symbol6 V=NONE I=JOIN width=2 L=2;

/* Plot */
proc gplot data=d1
  annotate=anno(rename=(f=function p=position s=size xi=x));
  plot n*x=kurve/haxis=axis2 href=.5 to 1.75 by 0.25
                 vaxis=axis1 vref=10 to 50 by 10
                 nolegend;
run;
quit;

