/* Poisson-Gauss-Fit CDF */
%let pgm=S_4; * Name des Programms;

%let lambda=22.5;

/* Daten */
data a;
do z=0 to 40; y=z-1;
poisson=&lambda**z*exp(-&lambda)/gamma(z+1);
fp=100000*poisson;
output;
end;

/* Grafische Optionen */
filename ff2 "&pgm-.jpg";
goptions device=jpeg gsfname=ff2;
goptions colors=(black) aspect=0;
title;
axis1 label=none value=(font=swiss height=0.7cm
      'F=0' '0.2' '0.4' '0.6' '0.8' '1');
axis2 label=none value=(font=swiss height=0.7cm
      'z=5' '10' '15' '20' '25' '30' '35' '40');
symbol1 V=' ' I=JOIN width=2;

/* Plot */
proc capability data=a noprint;
    freq fp;
    cdf z / normal vaxis=axis1 haxis=axis2 nolegend;
run;
quit;
