/* Stichprobenumfang zur Erreichung einer vorgegebenen Mindeststreuung, 6 Kurven */
filename ergebnis 'S_41-.jpg';

/* Daten */
data d1(keep=x kurve n) anno(keep=xi y s p f text xsys ysys style);
do kurve = 1 to 6;
  select(kurve);
    when(1) do; alpha=.01; exakt=1; m=65; end;
    when(2) do; alpha=.01; exakt=0; m=62; end;
    when(3) do; alpha=.05; exakt=1; m=25; end;
    when(4) do; alpha=.05; exakt=0; m=20; end;
    when(5) do; alpha=.10; exakt=1; m=25; end;
    when(6) do; alpha=.10; exakt=0; m=24; end;
    otherwise;
  end;
  select(alpha);
    when(.01) do; xwindow=45; ywindow=75; p='C'; end;
    when(.05) do; xwindow=48; ywindow=48; p='C'; end;
        when(.10) do; xwindow=25; ywindow=22; p='5'; end;
    otherwise;
  end;
  do n=3 to 101;
    if exakt=1 then x=(n-1)/(cinv(alpha,n-1));
        else x=(n-1)/( (n-1) + sqrt(2*(n-1))*probit(alpha) );
    output d1;
    if n=m then do;
      xsys='2'; ysys='2'; xi=x; y=n; f='move '; output anno;
          xsys='5'; ysys='5'; xi=xwindow; y=ywindow; f='draw '; s=1; output anno;
      s=1.5; f='label'; style='swiss'; text='alpha='!!left(put(alpha,4.2)); output anno;
        end;
end; end;

/* Grafische Optionen */
*goptions device=jpeg gsfname=ergebnis;
goptions colors=(black);
title;
axis1 /*label=none*/
      label=(angle=90 height=1.5  font=zapf "n (Anzahl Messungen)")
      offset=(0cm)
      order=0 to 100 by 20 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none
      /*label=(font=zapf height=2 "z") */
      order=1 to 4 by 1 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=2;
symbol3 V=NONE I=JOIN width=2 L=1;
symbol4 V=NONE I=JOIN width=2 L=2;
symbol5 V=NONE I=JOIN width=2 L=1;
symbol6 V=NONE I=JOIN width=2 L=2;

/* Plot */
proc gplot data=d1
  annotate=anno(rename=(f=function p=position s=size xi=x));
  plot n*x=kurve/haxis=axis2 href=1 to 4 by 0.5
                 vaxis=axis1 vref=10 to 90 by 10
                 nolegend;
run;
quit;

