/* SAS-Programm Betonstahlmatten */
/* Daten */
data a; input x @@; cards;
718 684 646 638 622 597 669 661 646 715 727 645 647 671 632
728 699 709 684 713 698 614 580 647 634 637 702 649 721 643
run;
/* Auswertung */
proc means data=a noprint;
var x;
output out=stats n=n var=s2 std=std;
run;
data zweiseit;
set stats;
p1=0.025; p2=p1; alpha=0.05;
lower2=sqrt( (n-1)*s2/cinv(1-p2,n-1) );
upper2=sqrt( (n-1)*s2/cinv(p1,n-1) );
upper1=sqrt( (n-1)*s2/cinv(alpha,n-1) );
run;
proc print data=zweiseit noobs label;
var n s2 std lower2 upper2 upper1;
label std='STD';
label lower2='two-sided lower 95% CL for STD';
label upper2='two-sided upper 95% CL for STD';
label upper1='one-sided upper 95% CL for STD';
run;

/* Ergebnisse (Auszug):
                              two-sided     two-sided     one-sided
                              lower 95%     upper 95%     upper 95%
  n       s2        STD      CL for STD    CL for STD    CL for STD
===================================================================
 30    1629.36    40.3653      32.1472       54.2637       51.6557
===================================================================
*/
