/* SAS-Programm Massenprodukte */
/* Hypothesentest (Duerr 1987, Beispiel 11.7 Seite 155) */
proc printto file='S_44-.lst' new;
*proc printto; run;

title; options nodate nonumber linesize=80;


data a1;
input probe wert1-wert5;
cards;
1  9.91 10.00 10.05 10.10 10.01
2 10.18  9.97 10.00 10.05 10.06
3  9.80  9.80 9.92  10.03  9.80
run;

data a2;
  set a1; 
  mw=mean(of wert1-wert5);
  n=5;
  mu0=10;
  sigma=0.1;
  T=sqrt(n)*(mw-mu0)/sigma;
  pwert=2-2*probnorm(abs(t));
  alpha=0.01;
  tlimit=probit(1-alpha/2);
run;

proc print noobs;
  var probe mw T pwert tlimit;
run;

/* Ergebnis
               probe      mw          T        pwert      tlimit

                 1      10.014     0.31305    0.75424    2.57583
                 2      10.052     1.16276    0.24493    2.57583
                 3       9.870    -2.90689    0.00365    2.57583
*/
