/* SAS-Programm Cholesterin */
/* zweiseitiger t-test (Ross 2006, Beispiel 8.3g Seite 279) */

data _null_;
  mu0=0;
  n=50;
  std=6.4;
  mw=14.8;
  T=sqrt(n)*(mw-mu0)/std;
  CDF=probt(abs(T),n-1);
  pWert=2-2*probt(abs(T),n-1);
  alpha=0.05;
  Tlimit=-tinv(1-alpha/2,n-1);
  put mu0= n= mw= std=;
  put T= CDF= pWert=;
  put alpha= Tlimit=;
run;
/* Ergebnis im SAS-Log:
mu0=0 n=50 mw=14.8 std=6.4
T=16.351844315 CDF=1 pWert=0
alpha=0.05 Tlimit=-2.009575237
*/
