/* SAS-Programm Wasserverbrauch */
/* zwei- und einseitiger t-test (Ross 2006, Beispiel 8.3h Seite 280) */

data _null_;
  array x(20) x1-x20 
    (340 344 362 375  356 386 354 364  332 402 340 355  362 322 372 324  318 360 338 370);
  mu0=350;
  n=20;
  std=std(of x1-x20);
  mw=mean(of x1-x20);
  T=sqrt(n)*(mw-mu0)/std;
  alpha=0.10;
  put mu0= n= mw= std= T= alpha=;
  
  CDF=probt(abs(T),n-1);
  pWert=2-2*probt(abs(T),n-1);
  Tlimit=tinv(1-alpha/2,n-1);
  put 'Hypothese 1: ' CDF= pWert= Tlimit=;

  CDF=probt(T,n-1);
  pWert=1-probt(T,n-1);
  Tlimit=tinv(1-alpha,n-1);
  put 'Hypothese 2: ' CDF= pWert= Tlimit=;

  CDF=probt(-T,n-1);
  pWert=1-probt(-T,n-1);
  Tlimit=-tinv(1-alpha,n-1);
  put 'Hypothese 3: ' CDF= pWert= Tlimit=;
run;
/* Ergebnis im SAS-Log:
mu0=350 n=20 mw=353.8 std=21.847798877 T=0.7778411328 alpha=0.1
Hypothese 1: CDF=0.776879455 pWert=0.4462410901 Tlimit=1.7291328115
Hypothese 2: CDF=0.776879455 pWert=0.223120545 Tlimit=1.327728209
Hypothese 3: CDF=0.223120545 pWert=0.776879455 Tlimit=-1.327728209
*/
