/* SAS-Programm Reifen */
/* zweiseitiger t-test (Ross 2006, Beispiel 8.3i Seite 281) */

data _null_;
  array x(12) x1-x12 
    (36.1 40.2 33.8 38.5 42 35.8 37 41 36.8 37.2 33 36);
  mu0=40;
  n=12;
  std=std(of x1-x12);
  mw=mean(of x1-x12);
  T=sqrt(n)*(mw-mu0)/std;
  CDF=probt(abs(T),n-1);
  pWert=2-2*probt(abs(T),n-1);
  alpha=0.05;
  Tlimit=-tinv(1-alpha/2,n-1);
  put mu0= n= mw= std=;
  put T= CDF= pWert=;
  put alpha= Tlimit=;
run;
/* Ergebnis im SAS-Log:
mu0=40 n=12 mw=37.283333333 std=2.7319101986
T=-3.444772596 CDF=0.99726083 pWert=0.0054783399
alpha=0.05 Tlimit=-2.20098516
*/
