/* OC-Kurven */

filename ergebnis 'S_51-.jpg';

/* Daten */
data d1(keep=beta x kurve) anno(keep=xi y s p f text xsys ysys style);

do kurve = 1 to 3;
  select(kurve);
    when(1) do; alpha=.05; n=8; end;
    when(2) do; alpha=.05; n=16; end;
    when(3) do; alpha=.05; n=32; end;
    otherwise;
  end;
    select(n);
	 when(8)  do; ytext=0.8;  stext=2.0; end;
     when(16) do; ytext=0.65; stext=2.5; end;
     when(32) do; ytext=0.5;  stext=2.0; end;
    otherwise;
  end;
  x0=260;
  sigma=8;
  do x=250 to 260 by 0.01;
    beta=probnorm((x-x0)/(sigma/sqrt(n))-probit(alpha));
    output d1;
    if abs(x-256)<0.001 then do;
       xsys='2'; ysys='2'; xi=x; y=beta; f='move '; output anno;
       xsys='2'; ysys='2'; xi=254; y=ytext; f='draw '; s=1; output anno;
       s=stext; p='C'; f='label'; style='swiss'; text='n='!!left(put(n,2.0)); output anno;
    end;
  end;
end; 

/* Grafische Optionen */
goptions device=jpeg gsfname=ergebnis;
goptions colors=(black);
title;
axis1 label=(angle=90 height=1.6 font=zapf "beta = 1 - power")
      offset=(0cm)
      order=0 to 1 by 0.2 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=(height=1.6 font=greek "m")
      order=260 to 250 by -2 minor=none
      value=(font=zapf height=0.7cm);
symbol1 V=NONE I=JOIN width=1 L=1;
symbol2 V=NONE I=JOIN width=2 L=1;
symbol3 V=NONE I=JOIN width=1 L=1;

/* Plot */
proc gplot data=d1
  annotate=anno(rename=(f=function p=position s=size xi=x)); 
  plot beta*x=kurve/haxis=axis2 href=251 to 259 by 1
                 vaxis=axis1 vref=0.05 to 0.95 by 0.05
                 nolegend;
run;
quit;

