/* OC-Kurven, 1 Kurve */
filename ergebnis 'S_52-.jpg';

/* Daten */
data d1(keep=beta x kurve) anno(keep=xi y s p f text xsys ysys style);
alpha=0.05;
  x=0;
  beta=1-alpha;
  xtext=-0.28;
  ytext=0.90;
  xsys='2'; ysys='2'; xi=x; y=beta; f='move '; output anno;
  xsys='2'; ysys='2'; xi=xtext; y=ytext; f='draw '; s=1; output anno;
  s=2.5; p='C'; f='label'; style='swiss'; text='beta(0)=1-alpha='!!left(put(beta,4.2)); 
  output anno;
do kurve = 1 to 6;
  select(kurve);
    when(1) do; n=8;  m=0; end;
    when(2) do; n=8;  m=1; end;
    when(3) do; n=16; m=0; end;
    when(4) do; n=16; m=1; end;
    when(5) do; n=32; m=0; end;
    when(6) do; n=32; m=1; end;
    otherwise;
  end;
  xtext=-0.9; * -0.75;
  select(n);
    when(8)  ytext=0.75;
    when(16) ytext=0.60;
    when(32) ytext=0.45;
    otherwise;
  end;
  do x=0 to -1.25 by -0.01;
    select(m);
      when(0) do; 
        beta=probnorm(x*sqrt(n)-probit(alpha)); 
      end;
      when(1) do; beta=1-probt(-tinv(1-alpha,n-1),n-1,x*sqrt(n)); end;	  
      otherwise;
    end;
    output d1;
	if abs(x+0.5)<0.001 then do;
	      put x=;
          xsys='2'; ysys='2'; xi=x; y=beta; f='move '; output anno;
          xsys='2'; ysys='2'; xi=xtext; y=ytext; f='draw '; s=1; output anno;
          s=2.5; p='C'; f='label'; style='swiss'; text='n='!!left(put(n,2.0)); 
		  output anno;
    end;
  end;
end; 

/* Grafische Optionen */
goptions device=jpeg gsfname=ergebnis;
goptions colors=(black);
title;
axis1 label=(angle=90 height=1.6 font=zapf "beta = 1 - power")
      offset=(0cm)
      order=0 to 1.0 by 0.2 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=(height=1.6 font=zapf "delta = Mittelwertdifferenz/Standardabweichung")
      order=0 to -1.25 by -0.25 minor=none
      value=(font=zapf height=0.5cm);

symbol1 V=NONE I=JOIN width=2 L=1;
symbol2 V=NONE I=JOIN width=2 L=2;
symbol3 V=NONE I=JOIN width=2 L=1;
symbol4 V=NONE I=JOIN width=2 L=2;
symbol5 V=NONE I=JOIN width=2 L=1;
symbol6 V=NONE I=JOIN width=2 L=2;

/* Plot */
proc gplot data=d1
  annotate=anno(rename=(f=function p=position s=size xi=x))
  ;
  plot beta*x=kurve/haxis=axis2 href=0 to -1.25 by -0.125
                 vaxis=axis1 vref=0.05 to 0.95 by 0.05
                 nolegend;
run;
quit;

