/* Lineare Regression manuell */
title; options nodate nonumber linesize=100;
data a1;
input X Y;
cards;
0.02 242
0.07 237
0.11 231
0.15 201
run;
proc means data=a1 n mean noprint; 
  var x y;
  output out=b1 n=n mean=mean_x mean_y; 
run;  
data _null_;
  set b1;
  call symput('mean_x',mean_x);
  call symput('mean_y',mean_y);
  call symput('n',n);
run;
data a2;
  set a1;
  mean_x=&mean_x;
  mean_y=&mean_y;
  xi=x-mean_x; xi2=xi**2;
  eta=y-mean_y; eta2=eta**2;
  xieta=xi*eta;
run;
proc print data=a2;
  var x y mean_x mean_y xi xi2 eta eta2 xieta; 
title 'Datei a2';
run;
/* ---------------------------------------------------------------------------
 Obs    X    Y   mean_x  mean_y     xi       xi2       eta     eta2     xieta

  1   0.02  242  0.0875  227.75  -0.0675  .00455625   14.25  203.063  -0.96188
  2   0.07  237  0.0875  227.75  -0.0175  .00030625    9.25   85.563  -0.16187
  3   0.11  231  0.0875  227.75   0.0225  .00050625    3.25   10.563   0.07313
  4   0.15  201  0.0875  227.75   0.0625  .00390625  -26.75  715.563  -1.67188
--------------------------------------------------------------------------- */
proc means data=a2 sum noprint; 
  var xi2 eta2 xieta;
  output out=b2 sum=sum_xi2 sum_eta2 sum_xieta; 
run;  
data _null_;
  set b2;
  p=1;
  put sum_xi2= sum_eta2= sum_xieta=;
  /*-- sum_xi2=0.009275 sum_eta2=1014.75 sum_xieta=-2.7225 --*/
  call symput('sum_xi2',sum_xi2);

  beta1=sum_xieta/sum_xi2;
  beta0=&mean_y-beta1*&mean_x;
  put beta1= beta0=;
  /*-- beta1=-293.5309973 beta0=253.43396226 --*/ 
  call symput('beta1',beta1);
  call symput('beta0',beta0);

  sstot=sum_eta2;
  ssreg=beta1**2*sum_xi2;
  ssres=sstot-ssreg;
  put sstot= ssreg= ssres=;
  /*-- sstot=1014.75 ssreg=799.13814016 ssres=215.61185984 --*/ 

  msres=ssres/(&n-p- 1);
  rootmsr=sqrt(msres);
  put msres= rootmsr=;
  /*-- msres=107.80592992 rootmsr=10.382963446  --*/
  call symput('msres',msres);

  vbeta0=msres*(&mean_x**2/sum_xi2+1/&n);
  dbeta0=sqrt(vbeta0);
  tbeta0=beta0/ebeta0;
  put vbeta0= dbeta0= tbeta0=;
  /*-- vbeta0=115.94222652 dbeta0=10.767647214 tbeta0=23.536614567 --*/ 
  call symput('dbeta0',dbeta0);

  vbeta1=msres/sum_xi2;
  dbeta1=sqrt(vbeta1);
  tbeta1=beta1/dbeta1;
  put vbeta1= ebeta1= tbeta1=;
  /*-- vbeta1=11623.280854 dbeta1=107.81132062 tbeta1=-2.722636135 --*/ 
  call symput('dbeta1',dbeta1);

  ps0=2-2*probt(abs(tbeta0),&n-2);
  ps1=2-2*probt(abs(tbeta1),&n-2);
  put ps0= ps1=;
  /*-- ps0=0.0018002715 ps1=0.1125755312 --*/
run;
data a3;
  set a2(keep=x y xi2);
  ydach=&beta0+&beta1*x;
  hdiag=1/&n + xi2/&sum_xi2;
  dydach=sqrt(&msres*hdiag);
  alpha=0.05;
  low95=ydach-tinv(1-alpha/2,&n-2)*dydach;
  high95=ydach+tinv(1-alpha/2,&n-2)*dydach;
run;
proc print data=a3;
title 'Datei a3';
run;
/* ----------------------------------------------------------------------------------------------
 Obs      X      Y        xi2        ydach      hdiag      dydach    alpha     low95      high95

   1     0.02    242    .00455625    247.563    0.74124    8.93924     0.05    209.101    286.026
   2     0.07    237    .00030625    232.887    0.28302    5.52369     0.05    209.120    256.653
   3     0.11    231    .00050625    221.146    0.30458    5.73025     0.05    196.490    245.801
   4     0.15    201    .00390625    209.404    0.67116    8.50617     0.05    172.805    246.003
---------------------------------------------------------------------------------------------- */
data a4;
  set a2(keep=x y eta xi xi2);
  drop xi xi2 eta hdiag ydach;
  resid=eta-&beta1*xi;
  hdiag=1/&n + xi2/&sum_xi2;
  dresid=sqrt(&msres*(1-hdiag));
  ydach=&beta0+&beta1*x;
  dydach2=sqrt(&msres*(hdiag+1));
  alpha=0.05;
  low95ind=ydach-tinv(1-alpha/2,&n-2)*dydach2;
  high95ind=ydach+tinv(1-alpha/2,&n-2)*dydach2;
  run;
proc print data=a4;
title 'Datei a4';
run;
/* -----------------------------------------------------------------------------------------
 Obs      X      Y       resid      dresid    dydach2    alpha    low95ind    high95ind

        1     0.02    242    -5.56334    5.28165    13.7009     0.05     188.613     306.514
        2     0.07    237     4.11321    8.79175    11.7608     0.05     182.284     283.490
        3     0.11    231     9.85445    8.65853    11.8592     0.05     170.119     272.172
        4     0.15    201    -8.40431    5.95407    13.4224     0.05     151.652     267.156
----------------------------------------------------------------------------------------- */

