/* Dichte Boltzmann-Verteilung */
%let pgm=S_6; * Name des Programms;
/* Daten */
data d1(keep=w dichte);
  pi=3.1415926;
  do w = -1 to 0.001 by 0.001; dichte=0; output d1; end;
  do w = 0.001 to 4 by 0.001;
    if w> 0 then dichte=exp(-w)/sqrt(w*pi);
        else dichte=0;
    output d1;
  end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
goptions colors=(black) aspect=0;
title;
axis1 label=none /* (height=2  font=zapf "f(z)") */
      offset=(0cm)
      order=0 to 4 by 1 minor=none
      value=(font=swiss height=0.7cm  'f=0' 'f=1/kT' 'f=2/kT' 'f=3/kT' 'f=4/kT');
axis2 label=none /*(font=zapf height=2 "z")*/
      offset=(0cm)
      order=-1 to 4 by 1 minor=none
      value=(font=swiss height=0.7cm  '-kT' font=greek height=1cm 'e=0'
      font=swiss height=0.7cm 'kT' '2kT' '3kT' '4kT');
symbol1 V=NONE I=JOIN width=2 L=1;

/* Plot */
proc gplot data=d1;
plot dichte*w/vaxis=axis1 haxis=axis2 nolegend href=0;
run;
quit;

