/* Hypergeometrische Verteilung */
%let pgm=S_7; * Name des Programms;

%let ntotal=40;
%let nstich=8;
%let a=12;
%let  lq=0.05;
*title font=zapf "N=&ntotal, M=&a, n=&nstich";
*footnote;

/* Daten */
data a;
  do m=0 to &nstich; y=m-1;
    p=probhypr(&ntotal,&a,&nstich,m)-probhypr(&ntotal,&a,&nstich,y);
    output;
  end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
title;
axis1 label=none
      /* label=(height=2  font=zapf "P(m)") */
      order=0 to 0.4 by 0.1 minor=none  value=(font=zapf height=0.7cm);
axis2 label=none
      /*label=(font=zapf height=2 "m")*/
      order=0 to &nstich by 1 minor=none
      value=(font=zapf height=0.7cm);
symbol1 v=none i=needle l=1 w=6;

/* Plot */
proc gplot data=a;
  note font=zapf height=0.8cm
     move =(48,60) pct "N=&ntotal, M=&a, k=&nstich";
  plot p*m/vaxis=axis1 haxis=axis2 vref=&lq lvref=2;
run; quit;
