/* Binomialverteilung */
%let pgm=S_8; * Name des Programms;

%let nstich=8;
%let p=0.4;

/* Daten */
data a;
do n=0 to &nstich; y=n-1;
  prob=probbnml(&p,&nstich,n)-probbnml(&p,&nstich,y);
  output;
end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
title;
symbol1 v=none i=needle l=1 w=6;
axis1 label=none /*label=(height=2  font=zapf "P(n)")*/
      order=0 to 0.3 by 0.1 minor=none
      value=(font=zapf height=0.7cm);
axis2 label=none /*label=(font=zapf height=2 "n")*/
      order=0 to &nstich by 1 minor=none
      value=(font=zapf height=0.7cm);

/* Plot */
proc gplot data=a;
    note font=zapf height=0.8cm
         move =(65,60) pct "N=&nstich, p=&p";
    plot prob*n/vaxis=axis1 haxis=axis2;
run;
quit;
