/* Binomial-Gauss-Fit Histogramm */
%let pgm=S_9; * Name des Programms;

%let nstich=25;
%let p=0.9;

/* Daten */
data a;
do z=0 to 40; y=z-1;
binom=probbnml(&p,&nstich,z)
     -probbnml(&p,&nstich,y);
fb=100000*binom;
output;
end;
run;

/* Grafische Optionen */
filename ff1 "&pgm-.jpg";
goptions device=jpeg gsfname=ff1;
goptions colors=(black) aspect=0;
title;
symbol1 V=' ' I=JOIN width=2;

/* Plot */
proc capability data=a noprint;
    freq fb;
    comphistogram z /
        normal(w=3) 
        midpoints=6 to 40 by 1
        novtick nohlabel;
run;
quit;
